<?php

namespace Database\Seeders;

use App\Models\Supply;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SupplySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $family = new Supply(["name" => "Motor 1.5HP B14", "family_id" => "14"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Reductor UMI-90G-M1 1/100", "family_id" => "21"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Motor 0,5HP B14", "family_id" => "14"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Reductor Mod50 1/100", "family_id" => "21"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Motor 1HP B14", "family_id" => "14"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Reductor Mod63 1/100", "family_id" => "21"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Reductor WMI50 1/20", "family_id" => "21"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Reductor Mod63 1/50", "family_id" => "21"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Barra Redonda AISI304 ø1/4", "family_id" => "3"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Barra Redonda AISI304 ø12mm", "family_id" => "3"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Barra Redonda Fe ø25mm", "family_id" => "3"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Barra Redonda Fe ø35mm", "family_id" => "3"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Barra Redonda Fe ø76,2mm", "family_id" => "3"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Ángulo Fe 2"x2"x1/4"', "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Perfil C plegado 40x130x40 esp1/4", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Porta rodamiento UCF205", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Porta rodamiento SUCF205", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Porta rodamiento UCP205 (Omega)", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cadena Plana Inox doble eslabón soldada 6", "family_id" => "5"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Piñon cinta transp. eje ø 35 p/ eslabón doble", "family_id" => "16"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Porta rodamiento SUCT205 (Tensor)", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Porta rodamiento UCT207 (Tensor)", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Porta rodamiento UCL207 (2 agujeros)", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Planchuela Fe 1 1/4" x 3/8"', "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Caño redondo 25.4 x 1.5 mm 304L ", "family_id" => "6"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Caño redondo 38,1 x 1.5 mm 304L ", "family_id" => "6"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Caño redondo 3" x 1/8" Fe', "family_id" => "6"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Chapa Fe 3/8"', "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Chapa Fe 1/4"', "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Chapa Fe 9/16"', "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Chapa Fe 5/8"', "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Tazoleta con Anclaje Ø100 M16 x 60 (Piaz 086)', "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Barra Redonda Fe ø200mm", "family_id" => "3"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cilindro Perfilado 80x80 d/efecto", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Basculante VDMA 80", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Horquilla vástago  ø 80 (M20x1,5)", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cilindro Perfilado 50x400 d/efecto", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cilindro Perfilado 50x150 d/efecto", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cilindro Compacto 50x50 d/efecto", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Basculante ISO 50", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Horquilla vástago  ø 50 (M16x1,5)", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cilindro Redondo 25x80 d/efecto", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Horquilla vástago  ø 25 (M10x1,25)", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cilindro Perfilado 50x600 d/efecto", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Soporte corte laser para cilindros 80", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cilindro Perfilado 50x140 d/efecto", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM 35x15 ", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM 20X5", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM perfil L40 Piaz ", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM Placa 170x380x15", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM perfil L41 ", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Pivot plastico 50x50x25 para eje  ø20", "family_id" => "17"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Tensor de cadena plástico Piaz", "family_id" => "25"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM Placa 720x100x12", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM Placa 490x100x12", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "APM P/Barandas Piaz", "family_id" => "2"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Piñón 3/4" ASA 60 -12 dientes c/chavetero 8x8 p/eje 25', "family_id" => "16"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Engranaje Z45-Modelo 3 (45 dientes ø141) Chav.8x8 eje25", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Piñón 3/4" ASA 60 -10 dientes c/chavetero 8x8 p/eje 25', "family_id" => "16"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Piñón 15 dientes p/eje 25 ASA 40 Paso 1/2"', "family_id" => "16"]);
        $family->saveOrFail();
        $family = new Supply(["name" => 'Piñon Doble ASA 50/2 paso 5/8"  Z28', "family_id" => "16"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cadena ASA 40 Fe", "family_id" => "5"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cadena ASA 50/2 Fe", "family_id" => "5"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Cadena ASA 60 Fe", "family_id" => "5"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Sensor Panasonic CY-192A", "family_id" => "23"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Sensor Inductivo Riko 1808", "family_id" => "23"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Espejo p/ sensor optico Piaz", "family_id" => "23"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Soporte p/ sensor optico Piaz", "family_id" => "23"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Micro-Switch SCHNEIDER XCKP2145", "family_id" => "1"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Caño cuadrado 40X40x1.5mm AISI304 ", "family_id" => "6"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Caño rectangular 25X30x1.5mm AISI304", "family_id" => "6"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Variador de frecuencia EuraDrive serie E1000", "family_id" => "28"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Fuente ReighPower LP 1050 D-24SDA", "family_id" => "11"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Transformador 220-24v 2A", "family_id" => "27"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Contactor Schneider LC1K0910", "family_id" => "9"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Relevo Térmico Schneider LR2K0308", "family_id" => "22"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "PLC Fatek 60mar2", "family_id" => "19"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Termica Schneider 1x10A", "family_id" => "26"]);
        $family->saveOrFail();
        $family = new Supply(["name" => "Relé Hongfa hf115fp", "family_id" => "22"]);
        $family->saveOrFail();

    }
}
